# Manual del usuario de &kde;

Harri
Porten

    porten@kde.org

2008-10-15
0.01.01
kjs
1

# `kjs`

Intérprete ECMAScript compatible con &kde;

## Sinopsis

    kjs  --help -help -h   -e statement   script

## Descripción

`kjs` es un motor de ECMAScript/JavaScript para KDE.

## Opciones de las aplicaciones

`--help`,`-help`,`-h`

  Muestra el uso de `kjscmd`.

`-e` `statement`

  Ejecuta la sentencia y sale. Por ejemplo:

      kjs -e "print('hello world')"

`guion`

  Ejecuta la sentencia incluida en el archivo `script`.

## Utilización

`kjs` `file`, como otros muchos interpretes, cuando se le llama sin parámetros utiliza un editor de líneas para introducir sentencias, mostrando

    JS
    >

Para salir del editor de líneas teclee `quit()` o pulse `Ctrl+D`.

## Vea también

kjs(1)

## Errores

Probablemente haya montones de errores. Para informar acerca de ellos, utilice bugs.kde.org.